[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# get_next_selector_increment_value

Return selector increment value

## Declaration

Source position: go32.pp line 91

`function get_next_selector_increment_value: Word;`

## Description

Returns the selector increment value when allocating multiple subsequent descriptors via allocate_ldt_descriptors.

Return value: Selector increment value.

Remark: | Notes: Because allocate_ldt_descriptors only returns the selector for the first descriptor and so the value returned by this function can be used to calculate the selectors for subsequent descriptors in the array.

## Errors

Check the int31error variable.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
free_ldt_descriptor |  | Free a descriptor